package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.qmth.sop.business.util.excel.BasicExcelRow;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Description: 客户导入Dto
 * @Param:
 * @return:
 * @Author: shudonghui
 * @Date: 2023/7/31
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class DeviceImportDto extends BasicExcelRow implements Serializable {


    @ExcelProperty(value = "设备编号")
    @NotBlank(message = "设备编号不能为空")
    private String deviceCode;

    @ExcelProperty(value = "序列号")
    @NotBlank(message = "序列号不能为空")
    private String serialNo;

    @ExcelProperty(value = "品牌")
    @NotBlank(message = "品牌不能为空")
    private String brand;

    @ExcelProperty(value = "型号")
    @NotBlank(message = "型号不能为空")
    private String model;

    @ExcelProperty(value = "购买时间")
    @NotBlank(message = "购买时间不能为空")
    private String buyTime;

    @ExcelProperty(value = "供应商")
    private String supplier;

    @ExcelProperty(value = "状态（正常/故障）")
    private String status;

    @ExcelProperty(value = "当前所在地")
    private String location;

    @ExcelProperty(value = "总扫描量")
    private Long scanCount;

    @ExcelProperty(value = "出库/入库")
    private String bound;

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getBuyTime() {
        return buyTime;
    }

    public void setBuyTime(String buyTime) {
        this.buyTime = buyTime;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Long getScanCount() {
        return scanCount;
    }

    public void setScanCount(Long scanCount) {
        this.scanCount = scanCount;
    }

    public String getBound() {
        return bound;
    }

    public void setBound(String bound) {
        this.bound = bound;
    }
}
